"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const react_2 = require("react");
const react_dropzone_1 = require("react-dropzone");
const theme_1 = require("../../../theme");
const typography_1 = require("../typography");
const elements_1 = require("../elements");
const layout_1 = require("../layout");
const DropZone = ({ referenceFile, setReferenceFile, title, completed, dataTestId, }) => {
    const [error, setError] = (0, react_2.useState)(null);
    // const [isEditingFileName, setIsEditingFileName] = useState(false);
    // const [fileName, setFileName] = useState<string | undefined>(
    //   referenceFile?.name || undefined
    // );
    const { acceptedFiles, getRootProps, getInputProps } = (0, react_dropzone_1.useDropzone)({
        maxFiles: 1,
        accept: {
            'application/pdf': ['.pdf'],
            'application/msword': ['.doc', '.docx'],
            'image/*': ['.jpg', '.jpeg', '.png'],
        },
        onDropRejected: () => {
            setError('Incorrect file type. Please upload a .pdf, .doc, .docx, .jpg, .jpeg or .png file.');
        },
        onDropAccepted: () => {
            setError(null);
        },
    });
    (0, react_2.useEffect)(() => {
        if (acceptedFiles.length > 0) {
            setReferenceFile(acceptedFiles[0]);
        }
    }, [acceptedFiles]);
    return ((0, jsx_runtime_1.jsx)(layout_1.Flex, { width: "100%", justifyContent: "center", children: (0, jsx_runtime_1.jsxs)(layout_1.Flex, { flexDirection: "column", width: "100%", maxWidth: "800px", children: [(0, jsx_runtime_1.jsx)(typography_1.Text, { mb: "15px", children: title }), (0, jsx_runtime_1.jsxs)("div", { id: "dropzone-wrapper", ...getRootProps({ className: 'dropzone' }), css: (0, react_1.css) `
            background-color: ${referenceFile || completed ? '#E6F6E6' : '#FCF1E9'};
            border: 1px dashed ${referenceFile || completed ? '#00A300' : theme_1.default.colors.primary};
            border-radius: 4px;
            padding: 20px;
            cursor: pointer;
            position: relative;
          `, children: [(0, jsx_runtime_1.jsx)("input", { ...getInputProps(), "data-test-id": dataTestId || 'dropzone' }), (0, jsx_runtime_1.jsx)(typography_1.Text, { fontSize: "16px", dataTestId: `${dataTestId}-text`, children: referenceFile ? 'Click to change uploaded file' : 'Click to upload or drop file' }), referenceFile || completed ? ((0, jsx_runtime_1.jsx)(elements_1.Image, { source: "forms/green-tick.svg", alt: "upload", height: "35px", position: "absolute", top: "25%", right: "20px" })) : ((0, jsx_runtime_1.jsx)(elements_1.Image, { source: "forms/upload.svg", alt: "upload", height: "20px", position: "absolute", top: "30%", right: "20px" }))] }), (0, jsx_runtime_1.jsx)(typography_1.Text, { mt: "8px", color: "red", maxWidth: "100%", dataTestId: `${dataTestId}-error`, children: error }), referenceFile && ((0, jsx_runtime_1.jsx)(layout_1.Flex, { justifyContent: "space-between", alignItems: "center", children: (0, jsx_runtime_1.jsxs)(typography_1.Text, { maxWidth: "90%", children: ["File: ", referenceFile.name] }) }))] }) }));
};
exports.default = DropZone;
