"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
const react_1 = require("@emotion/react");
const theme_1 = require("../../../theme");
const standard_css_1 = require("../../types/standard-css");
const Button = ({ onClick, children, id, overrideCss, disabled, variant = 'none', type = 'button', ...standardProps }) => ((0, jsx_runtime_1.jsx)("button", { "data-test-id": standardProps.dataTestId, type: type, id: id, disabled: disabled, onClick: disabled ? undefined : onClick, onMouseEnter: () => standardProps.onHover && standardProps.onHover(true), onMouseLeave: () => standardProps.onHover && standardProps.onHover(false), css: (0, react_1.css) `
      border: none;
      background-color: ${disabled ? theme_1.default.colors.backgroundGrey : 'white'};
      background: none;
      margin: 0;
      padding: 0;
      ${variant === 'filled' &&
        (0, react_1.css) `
        background-color: ${disabled ? theme_1.default.colors.backgroundGrey : theme_1.default.colors.primary};
        border-radius: ${theme_1.default.borderRadius.small};
        padding: 10px;
        color: white !important;
      `}
      ${variant === 'cta' &&
        (0, react_1.css) `
        background-color: ${disabled ? theme_1.default.colors.backgroundGrey : theme_1.default.colors.primary};
        border-radius: ${theme_1.default.borderRadius.small};
        padding: 15px;
        color: white !important;
        font-size: 16px;
        font-weight: bold;
      `}
      ${variant === 'outlined' &&
        (0, react_1.css) `
        color: ${disabled ? theme_1.default.colors.backgroundGrey : theme_1.default.colors.primary} !important;
        border-color: ${disabled ? theme_1.default.colors.backgroundGrey : theme_1.default.colors.primary};
        border-width: 1px;
        border-style: solid;
        border-radius: ${theme_1.default.borderRadius.small};
        padding: 10px;
      `}
      ${(0, standard_css_1.default)(standardProps)}
      -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
      cursor: pointer;
      ${disabled &&
        (0, react_1.css) `
        cursor: not-allowed;
      `}
      ${overrideCss}
    `, children: children }));
exports.default = Button;
