"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const _1 = require(".");
const layout_1 = require("../layout");
const typography_1 = require("../typography");
const outside_alerter_1 = require("../outside-alerter");
const react_1 = require("react");
const theme_1 = require("../../../theme");
const react_2 = require("@emotion/react");
const Modal = ({ isOpen, onClose, children, title, onBack, slideFromBottomMobile, removePadding, hideHeader, }) => {
    const [marginBottom, setMarginBottom] = (0, react_1.useState)('-1000px');
    const [backgroundOpacity, setBackgroundOpacity] = (0, react_1.useState)('0');
    (0, react_1.useEffect)(() => {
        if (isOpen) {
            setMarginBottom('0px');
            setBackgroundOpacity('1');
            document.body.style.overflow = 'hidden';
            // @ts-ignore
            document.getElementById('the-ultimate-modal').style.overflow = 'hidden';
        }
        return () => {
            document.body.style.overflow = 'unset';
        };
    }, [isOpen]);
    const handleClose = () => {
        setMarginBottom('-1000px');
        setBackgroundOpacity('0');
        const timeoutId = setTimeout(() => {
            document.body.style.overflow = 'unset';
            onClose();
        }, 200);
        return () => clearTimeout(timeoutId);
    };
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: isOpen && ((0, jsx_runtime_1.jsx)(layout_1.Flex, { opacity: backgroundOpacity, width: "100vw", height: "100%", justifyContent: "center", alignContent: "center", alignItems: "center", backgroundColor: theme_1.default.colors.backgroundOverlay, zIndex: 100, position: "fixed", top: 0, left: 0, overrideCss: (0, react_2.css) `
            transition: all 0.4s;
            backdrop-filter: blur(1px);
          `, children: (0, jsx_runtime_1.jsx)(outside_alerter_1.default, { callback: handleClose, children: (0, jsx_runtime_1.jsxs)(layout_1.Box, { overflow: "hidden", id: "the-ultimate-modal", dataTestId: "modal", opacity: "1", bottom: marginBottom, minHeight: "250px", minWidth: "500px", maxHeight: "750px", backgroundColor: "white", zIndex: 101, borderRadius: theme_1.default.borderRadius.medium, p: "30px", mx: "10px", position: "relative", overrideCss: (0, react_2.css) `
                transition: all 0.4s;
                @media ${theme_1.default.mediaQueries.mobileOnly} {
                  display: flex;
                  flex-direction: column;
                  flex: 1;
                  min-width: 250px;
                  ${!removePadding ? 'padding: 20px;' : 'padding: 20px 0;'}
                  ${slideFromBottomMobile &&
                        (0, react_2.css) `
                    margin-left: 0;
                    margin-right: 0;
                    position: absolute;
                    bottom: ${marginBottom};
                    left: 0;
                    width: 100vw;
                    border-radius: ${theme_1.default.borderRadius.small};
                    max-height: 85%;
                  `}
                }
              `, children: [!hideHeader && ((0, jsx_runtime_1.jsxs)(layout_1.Grid, { gridTemplateColumns: onBack ? 'fit-content(20px) 1fr fit-content(20px)' : '1fr fit-content(20px)', mb: "10px", gridColumnGap: "30px", alignItems: "center", children: [onBack && ((0, jsx_runtime_1.jsx)(_1.Button, { dataTestId: "back-button", onClick: () => onBack(), p: "10px", alignItems: "center", borderRadius: "50%", overrideCss: (0, react_2.css) `
                        width: 20%;
                      `, children: (0, jsx_runtime_1.jsx)(_1.Image, { source: "/icons/arrow_back_ios_new-black-18dp.svg", alt: "back" }) })), (0, jsx_runtime_1.jsx)(layout_1.Flex, { justifyContent: "center", width: "100%", ml: !onBack ? '40px' : 0, fontSize: "1.3rem", fontWeight: "bold", overrideCss: (0, react_2.css) `
                      @media ${theme_1.default.mediaQueries.mobileOnly} {
                        ${!onBack &&
                                        (0, react_2.css) `
                          margin-left: 25px;
                        `}
                      }
                    `, children: (0, jsx_runtime_1.jsx)(typography_1.Text, { fontSize: "1.4rem", overrideCss: (0, react_2.css) `
                        @media ${theme_1.default.mediaQueries.mobileOnly} {
                          font-size: 18px;
                          text-align: center;
                        }
                      `, children: title }) }), (0, jsx_runtime_1.jsx)(_1.Button, { dataTestId: "close-button", onClick: handleClose, p: "4px", mt: "3px", alignItems: "center", overrideCss: (0, react_2.css) `
                      @media ${theme_1.default.mediaQueries.mobileOnly} {
                        ${removePadding && 'margin-right: 20px;'}
                      }
                    `, children: (0, jsx_runtime_1.jsx)(_1.Image, { source: "assets/icons/close.svg", alt: "close", overrideCss: (0, react_2.css) `
                        @media ${theme_1.default.mediaQueries.mobileOnly} {
                          width: 15px;
                        }
                      ` }) })] })), children] }) }) })) }));
};
exports.default = Modal;
