"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("react");
const react_2 = require("@emotion/react");
const form_1 = require("../../contexts/form");
const standard_css_1 = require("../../types/standard-css");
const Form = ({ children, onSubmit, overrideCss, ...standardProps }) => {
    const handleSubmit = (0, react_1.useCallback)((e) => {
        e.preventDefault();
        const form = e.target;
        const formData = new FormData(form);
        const formJson = Object.fromEntries(formData.entries());
        onSubmit(formJson);
    }, [onSubmit]);
    return ((0, jsx_runtime_1.jsx)(form_1.default, { children: (0, jsx_runtime_1.jsx)("form", { id: standardProps.id, onSubmit: handleSubmit, className: standardProps.className, "data-test-id": standardProps.dataTestId, css: (0, react_2.css) `
          display: flex;
          flex-direction: column;
          ${(0, standard_css_1.default)(standardProps)}
          ${overrideCss}
        `, children: children }) }));
};
exports.default = Form;
