import { SerializedStyles } from '@emotion/react';
import StandardProps from '../../types/standard-props';
import { FormError } from './types';
export declare function InputField({ name, defaultValue, label, placeholder, overrideCss, required, disabled, value, pattern, type, validate, alwaysShowLabel, instructions, onChange, ...standardProps }: {
    name: string;
    value?: string;
    defaultValue?: string;
    pattern?: string;
    label?: string;
    placeholder?: string;
    required?: boolean;
    onChange?: (e: any) => void;
    disabled?: boolean;
    type?: 'text' | 'email' | 'password' | 'number' | 'search' | 'tel' | 'url' | 'mobileNumber';
    validate?: (e: any) => FormError;
    instructions?: string;
    alwaysShowLabel?: boolean;
    overrideCss?: SerializedStyles;
} & StandardProps): import("@emotion/react/jsx-runtime").JSX.Element;
export declare const Checkbox: ({ name, label, overrideCss, disabled, required, onChange, checked, defaultChecked, ...standardProps }: {
    name: string;
    label: any;
    required?: boolean | undefined;
    disabled?: boolean | undefined;
    onChange?: ((e: any) => void) | undefined;
    overrideCss?: SerializedStyles | undefined;
    checked?: boolean | undefined;
    defaultChecked?: boolean | undefined;
} & StandardProps) => import("@emotion/react/jsx-runtime").JSX.Element;
