"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const elements_1 = require("../elements");
const form_1 = require("../../contexts/form");
const theme_1 = require("../../../theme");
const SaveAndContinueButton = ({ label, dataTestId, onClick, disabled, partOfForm = true, }) => {
    const { isAllFieldsValid } = (0, form_1.useFormContext)();
    return ((0, jsx_runtime_1.jsx)(elements_1.Button, { onClick: onClick, width: "100%", type: "submit", fontSize: "18px", dataTestId: dataTestId || 'save-and-continue-button', variant: "outlined", color: disabled ? theme_1.default.colors.lightGrey : theme_1.default.colors.primary, disabled: (partOfForm && !isAllFieldsValid) || disabled, py: "25px", mt: "25px", children: label || 'Save and continue later' }));
};
exports.default = SaveAndContinueButton;
