"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const react_2 = require("react");
const react_dropzone_1 = require("react-dropzone");
const theme_1 = require("../../../theme");
const typography_1 = require("../typography");
const elements_1 = require("../elements");
const layout_1 = require("../layout");
const ImageDropZone = ({ image, setImage, label, dataTestId, }) => {
    const [error, setError] = (0, react_2.useState)(null);
    const { acceptedFiles, getRootProps, getInputProps } = (0, react_dropzone_1.useDropzone)({
        maxFiles: 1,
        accept: {
            'image/*': ['.jpg', '.jpeg', '.png'],
        },
        onDropRejected: () => {
            setError('Incorrect file type. Please upload a jpg, .jpeg or .png file.');
        },
        onDropAccepted: () => {
            setError(null);
        },
    });
    (0, react_2.useEffect)(() => {
        if (acceptedFiles.length > 0) {
            setImage(acceptedFiles[0]);
        }
    }, [acceptedFiles]);
    return ((0, jsx_runtime_1.jsx)(layout_1.Flex, { width: "100%", justifyContent: "center", children: (0, jsx_runtime_1.jsxs)(layout_1.Flex, { flexDirection: "column", width: "100%", maxWidth: "800px", children: [(0, jsx_runtime_1.jsxs)(layout_1.Flex, { children: [(0, jsx_runtime_1.jsx)(typography_1.Text, { mb: "15px", fontWeight: "bold", fontSize: "16px", children: label }), image && ((0, jsx_runtime_1.jsx)(typography_1.Text, { fontSize: "12px", color: theme_1.default.colors.lightGrey, ml: "10px", mt: "2px", children: "(click the image to edit)" }))] }), (0, jsx_runtime_1.jsxs)("div", { id: "dropzone-wrapper", ...getRootProps({ className: 'dropzone' }), css: (0, react_1.css) `
            cursor: pointer;
            position: relative;
          `, children: [(0, jsx_runtime_1.jsx)("input", { ...getInputProps(), "data-test-id": dataTestId || 'dropzone' }), (0, jsx_runtime_1.jsx)(layout_1.Flex, { justifyContent: "center", alignItems: "center", height: "155px", width: "100%", border: theme_1.default.borders.standard1px, borderRadius: "4px", children: image ? ((0, jsx_runtime_1.jsx)(elements_1.Image, { source: URL.createObjectURL(image), alt: "camera", height: "100%", width: "100%", objectFit: "contain", m: "10px" })) : ((0, jsx_runtime_1.jsx)(elements_1.Image, { source: "icons/camera.svg", alt: "camera", height: "60px" })) })] }), (0, jsx_runtime_1.jsx)(typography_1.Text, { mt: "8px", color: "red", maxWidth: "100%", dataTestId: `${dataTestId}-error`, children: error }), image && ((0, jsx_runtime_1.jsx)(layout_1.Flex, { justifyContent: "space-between", alignItems: "center", children: (0, jsx_runtime_1.jsxs)(typography_1.Text, { maxWidth: "90%", children: ["Image: ", image.name] }) }))] }) }));
};
exports.default = ImageDropZone;
