"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFormContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const FormContext = (0, react_1.createContext)({
    errors: [],
    isAllFieldsValid: false,
    addError: () => null,
    removeError: () => null,
});
const FormContextProvider = ({ children }) => {
    const [errors, setErrors] = (0, react_1.useState)([]);
    const [isAllFieldsValid, setIsAllFieldsValid] = (0, react_1.useState)(false);
    const addError = (error) => {
        if (!errors.find((e) => e.field === error.field))
            setErrors([...errors, error]);
    };
    const removeError = (error) => {
        setErrors(errors.filter((e) => e.field !== error.field));
    };
    (0, react_1.useEffect)(() => {
        setIsAllFieldsValid(errors.length === 0);
    }, [errors]);
    const data = {
        errors,
        isAllFieldsValid,
        addError,
        removeError,
    };
    return (0, jsx_runtime_1.jsx)(FormContext.Provider, { value: data, children: children });
};
const useFormContext = () => (0, react_1.useContext)(FormContext);
exports.useFormContext = useFormContext;
exports.default = FormContextProvider;
