"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useOnScreen(ref) {
    const [isIntersecting, setIntersecting] = (0, react_1.useState)(false);
    const observer = (0, react_1.useMemo)(() => new IntersectionObserver(([entry]) => setIntersecting(entry.isIntersecting)), [ref]);
    (0, react_1.useEffect)(() => {
        ref.current && observer.observe(ref.current);
        return () => observer.disconnect();
    }, [observer, ref]);
    return isIntersecting;
}
exports.default = useOnScreen;
